!+
!KWIC deform.h
!
!Id$
!
!History:
!   97-May-29 [D. Grumm]
!      . added integer dfm_type and logical found_dfm_type
!
!   93-Nov-08[T. Gaetz] 
!      . moved from individual source files to included file.
!      . reordered:  double precision, real, integer.
!      . add save statement
!
!  DEFINITIONS (extracted from source files):
!
!    NLEG  : I*4 - NUMBER OF LEGENDRE TERMS = HIGHEST DEGREE + 1
!    NFOUR : I*4 - NUMBER OF FOURIER TERMS
!    NDF   : I*4 - NUMBER OF DEFORMATION COEFFICIENTS
!    DEFT  : R*8 - SQUARE ROOT OF THE SUM OF THE SQUARES OF DEFORMATION
!                  COEFFICIENTS
!    DEF2  : R*8 - SUM OF THE SQUARES OF THE DEFORMATION COEFFICIENTS
!    DEFC  : R*8 - ARRAY (NDF) DEFORMATION COEFFICIENTS
!    OBSC  : R*8 - LINEAR OBSCURATION RATIO
!-
      INTEGER          NLEG, NFOUR, NDF, IWK1, IWK2, NDXARR, NNDX
      DOUBLE PRECISION DEFT, DEF2, DEFC, COFMAT, OBSC

      COMMON /DEFORM/ DEFT, DEF2, DEFC(500), COFMAT(819), OBSC, 
     &                NLEG, NFOUR, NDF, IWK1(13), IWK2(13), 
     &                NDXARR(25, 25), NNDX
      SAVE   /DEFORM/
